<bugID>1278770<Summary>Decouple the test actors.</Summary><Description>Our goal is to replace all uses of the old Actor/FrontClass constructors with the new Actor/FrontClassWithSpec constructors. We have several server tests that define their own actors for the purpose of that test, so these need to be decoupled as well.</Description></bugID>